apiVersion: kubevirt.io/v1
kind: VirtualMachineInstance
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    kubevirt.io/vm-generation: "2"
  creationTimestamp: "2025-06-03T19:42:51Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  - foregroundDeleteVirtualMachine
  generation: 13
  labels:
    kubevirt.io/domain: rhel
    kubevirt.io/nodeName: kind-control-plane
    kubevirt.io/size: small
  name: rhel
  namespace: default
  ownerReferences:
  - apiVersion: kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: VirtualMachine
    name: rhel
    uid: 4edcd5bf-e558-416c-af79-333cdb43f22e
  resourceVersion: "2450"
  uid: a3351cbd-c238-4685-a043-6d66aaac9a6a
spec:
  architecture: amd64
  domain:
    cpu:
      cores: 1
      model: host-model
      sockets: 1
      threads: 1
    devices:
      autoattachVSOCK: true
      disks:
      - disk:
          bus: virtio
        name: containerdisk
      - disk:
          bus: virtio
        name: cloudinitdisk
      interfaces:
      - masquerade: {}
        name: default
    features:
      acpi:
        enabled: true
    firmware:
      uuid: 96056d13-3e4f-58a1-a51f-3ef579ccc83c
    machine:
      type: q35
    memory:
      guest: 8Gi
    resources:
      requests:
        memory: 8Gi
  evictionStrategy: None
  networks:
  - name: default
    pod: {}
  volumes:
  - dataVolume:
      name: rhel
    name: containerdisk
  - cloudInitNoCloud:
      userData: |
        #cloud-config
        users:
        - default
        - name: klape
          sudo: ALL=(ALL) NOPASSWD:ALL
          ssh_authorized_keys:
          - ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDI3MQuBoWRq+Cad6pu/QurHr4jVYGBY+8LHZ43DeiLGYdOPZRqwKqDZrvizRZkAkPV7afsSxuQ6YpcAEP42YioJTHg2zmIAYY8DelKrdUblWL+lm21sBCK5CsGTSKw3FkHqXk+UMENLis9kMy1XGwfYXqbC5BjyQYc762AgIr/6EdlRDTqUuVNeh2N6CupApGOaKwC0KtlonX9MetiHGxiHXKjtY4mOLPhRMCNsNKf+a1Yyi9BbPLYlLxx++Z85owEuJvniszu5rv+tAulvXvj7dbyKjyJQuZtzzvaafZlvvXGSSwBpazwZHkqZpdGUTc5ObKRnTNVDNq4HxpW0OBX klape@klape.remote.csb
        ssh_authorized_keys:
        - ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDI3MQuBoWRq+Cad6pu/QurHr4jVYGBY+8LHZ43DeiLGYdOPZRqwKqDZrvizRZkAkPV7afsSxuQ6YpcAEP42YioJTHg2zmIAYY8DelKrdUblWL+lm21sBCK5CsGTSKw3FkHqXk+UMENLis9kMy1XGwfYXqbC5BjyQYc762AgIr/6EdlRDTqUuVNeh2N6CupApGOaKwC0KtlonX9MetiHGxiHXKjtY4mOLPhRMCNsNKf+a1Yyi9BbPLYlLxx++Z85owEuJvniszu5rv+tAulvXvj7dbyKjyJQuZtzzvaafZlvvXGSSwBpazwZHkqZpdGUTc5ObKRnTNVDNq4HxpW0OBX klape@klape.remote.csb
    name: cloudinitdisk
status:
  VSOCKCID: 1444072289
  activePods:
    2273885c-fddd-47ab-8ffa-6a23ee9902fe: kind-control-plane
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-06-03T19:42:59Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: All of the VMI's DVs are bound and not running
    reason: AllDVsReady
    status: "True"
    type: DataVolumesReady
  - lastProbeTime: null
    lastTransitionTime: null
    message: 'cannot migrate VMI: PVC rhel is not shared, live migration requires
      that all PVCs must be shared (using ReadWriteMany access mode)'
    reason: DisksNotLiveMigratable
    status: "False"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  - lastProbeTime: "2025-06-03T19:43:44Z"
    lastTransitionTime: null
    status: "True"
    type: AgentConnected
  currentCPUTopology:
    cores: 1
    sockets: 1
    threads: 1
  guestOSInfo:
    id: rhel
    kernelRelease: 5.14.0-503.11.1.el9_5.x86_64
    kernelVersion: '#1 SMP PREEMPT_DYNAMIC Mon Sep 30 11:54:45 EDT 2024'
    machine: x86_64
    name: Red Hat Enterprise Linux
    prettyName: Red Hat Enterprise Linux 9.5 (Plow)
    version: 9.5 (Plow)
    versionId: "9.5"
  interfaces:
  - infoSource: domain, guest-agent
    interfaceName: eth0
    ipAddress: 10.244.0.20
    ipAddresses:
    - 10.244.0.20
    mac: aa:a8:dd:b3:ce:75
    name: default
    queueCount: 1
  launcherContainerImageVersion: quay.io/kubevirt/virt-launcher:v1.4.0
  machine:
    type: pc-q35-rhel9.4.0
  memory:
    guestAtBoot: 8Gi
    guestCurrent: 8Gi
    guestRequested: 8Gi
  migrationMethod: BlockMigration
  migrationTransport: Unix
  nodeName: kind-control-plane
  phase: Running
  phaseTransitionTimestamps:
  - phase: Pending
    phaseTransitionTimestamp: "2025-06-03T19:42:51Z"
  - phase: Scheduling
    phaseTransitionTimestamp: "2025-06-03T19:42:51Z"
  - phase: Scheduled
    phaseTransitionTimestamp: "2025-06-03T19:42:59Z"
  - phase: Running
    phaseTransitionTimestamp: "2025-06-03T19:42:59Z"
  qosClass: Burstable
  runtimeUser: 107
  selinuxContext: none
  virtualMachineRevisionName: revision-start-vm-4edcd5bf-e558-416c-af79-333cdb43f22e-2
  volumeStatus:
  - name: cloudinitdisk
    size: 1048576
    target: vdb
  - name: containerdisk
    persistentVolumeClaimInfo:
      accessModes:
      - ReadWriteOnce
      capacity:
        storage: "17043521016"
      claimName: rhel
      filesystemOverhead: "0.055"
      requests:
        storage: "17043521016"
      volumeMode: Filesystem
    target: vda
